header{
  position: sticky;
  top: 0;
  left: 0;
  height: 80px;
  padding: 10px 15px;
  background-color: gray("700");
  border-bottom: 2px solid gray("400");
  @include flex-row(flex-start);
  z-index: 9999;

  .logo-wrp {
    height: 100%;
    margin-right: auto;
  
    .logo {
      height: 100%;
      padding: 15px 0;
      width: auto;
    }
  }

  .navigation {
    height: 100%;
    margin-right: 30px;

    > ul {
      height: 100%;
      padding: 0;
      margin: 0;
      list-style-type: none;
      @include flex-row(center);

      > li {
        margin-left: 30px;

        > a {
          color: theme-color("primary");
          font-size: 20px;
          font-weight: $font-weight-semibold;
          text-transform: uppercase;
          text-decoration: none;
          transition: $transition;
        }

        > a:hover {
          opacity: 0.6;
        }
      }
    }
  }

  .cart-wrp {
    height: 100%;
    padding: 0 30px;
    border-left: 2px solid gray("400");
    position: relative;
    display: flex;
    align-items: center;

    img {
      height: 45px;
    }

    .item-count {
      position: absolute;
      top: 10px;
      left: 50px;
      text-align: center;
      font-size: 18px;
      font-weight: $font-weight-bold;
      width: 20px;
      color: gray("700");
    }
  }

  .signin-wrp {
    height: 100%;
    border-left: 2px solid gray("400");

    .signedin {
      position: relative;
      height: 100%;
      padding-left: 30px;
      padding-right: 15px;
      cursor: pointer;
      @include flex-row(center);
      
      > p {
        font-size: 20px;
        margin-right: 10px;
      }

      > img {
        height: 20px;
        transition: $transition;
      }

      .drp-menu-wrp {
        position: absolute;
        right: -15px;
        bottom: 0px;
        transform: translateY(100%);
        min-width: calc(100% + 15px);
        display: none;

        .drp-menu {
          width: 100%;
          padding-top: 10px;
          padding-bottom: 10px;
          background-color: gray("700");
          @include flex-col(flex-start);
          
          > a {
            width: 100%;
            color: theme-color("secondary");
            font-size: 17px;
            line-height: 17px;
            font-weight: $font-weight-semibold;
            text-transform: uppercase;
            text-decoration: none;
            padding: 15px 0;
            transition: $transition;
            padding-left: 30px;
            padding-right: 15px;
          }
      
          > a:first-child {
            border-top: 2px solid gray("400");
            padding-top: 20px;
          }
      
          > a:hover {
            color: rgba(theme-color("secondary"), 0.6);
          }
        }
      }
    }

    .signedin:hover {
      > img {
        transform: rotate(180deg);
      }
    }

    .signin {
      height: 100%;
      text-decoration: none;
      margin-left: 30px;
      @include flex-row(center);
      padding-right: 45px;
      position: relative;
      
      > p {
        color: theme-color("primary");
        text-transform: uppercase;
        font-weight: $font-weight-bold;
        font-size: 27px;
        transition: $transition;
      } 

      > img {
        position: absolute;
        height: 27px;
        width: auto;
        right: 0;
        transition: $transition;
      }
    }

    .signin:hover{
      > p, > img {
        opacity: 0.6;
      }

      > img {
        right: 10px;
      }
    }
  }

  .navigation-drp-icon {
    height: 100%;
    width: 45px;
    cursor: pointer;
    margin-left: 30px;
    position: relative;
    display: none;

    .line {
      width: 100%;
      height: 3px;
      position: absolute;
      background-color: theme-color("primary");
      transform: translateY(-50%);
      transition: 0s;

      &.top {
        top: 30%;
        transition: 0s;
      }
      &.mid {
        top: 50%;
        transition: 0s;
      }
      &.bot {
        top: 70%;
        transition: 0s;
      }
    }
  }

  .navigation-drp {
    width: 100%;
    position: absolute;
    bottom: -2px;
    left: 0;
    transform: translateY(100%);
    background-color: gray("700");
    border-bottom: 2px solid gray("400");
    padding: 0 15px;
    display: none;
    transition: 0s;

    .links {
      @include flex-col(flex-start);

      .link {
        width: 100%;
        color: theme-color("primary");
        font-size: 20px;
        font-weight: $font-weight-semibold;
        text-transform: uppercase;
        text-decoration: none;
        padding: 15px 0;
        border-top: 1px solid theme-color("primary-alt");
        transition: $transition;

        &.user {
          color: theme-color("secondary");
        }
      }
  
      .link:first-child {
        border-top: none;
      }
  
      .link:hover {
        color: rgba(theme-color("primary"), 0.6);
      }

      .link.user:hover {
        color: rgba(theme-color("secondary"), 0.6);
      }
    }
  }

  @include bp("md"){
    .cart-wrp {
      border-right: 2px solid gray("400");
      border-left: none;
    }

    .navigation,
    .signin-wrp {
      display: none;
    }

    .navigation-drp-icon {
      display: block;
    }
  }
}